/*
    Clay Shooter is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Clay Shooter is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Clay Shooter.  If not, see <http://www.gnu.org/licenses/>.

#-----------------------------------------------------------------------------------------#

 Author: Federico Salotti
 Organization/Company: Mr_Robot_Computers_Repair
 Country: Italy Barga(LU)
 release: 1.0 (08 March 2020 14:02)
 website: http://mrrobotcomputers.hopto.org

*/


class messageBox
{
public:
	messageBox(sf::Font &font, std::string msg1, std::string msg2="")
	{
		this->_box.setSize(sf::Vector2f(500,200));
		this->_box.setFillColor(sf::Color::Black);
		this->_box.setOutlineThickness(1);
		this->_box.setOutlineColor(sf::Color::White);
		this->_box.setPosition((1024/2)-(500/2),(576/2)-(200/2));

		this->_text1.setString(msg1);
		this->_msg1=msg1;
		this->_msg2=msg2;
		this->_text1.setFont(font);
		this->_text1.setCharacterSize(20);
		this->_text1.setPosition(1024/2-(this->_text1.getCharacterSize()*msg1.length())/2,(576/2)-50);

		this->_text2.setString(msg2);
		this->_text2.setFont(font);
		this->_text2.setCharacterSize(18);
		this->_text2.setPosition(1024/2-(this->_text2.getCharacterSize()*msg2.length())/2,576/2);
	}

	void updateMsg(std::string msg1,std::string msg2="")
	{
		this->_text1.setString(msg1);
		this->_text2.setString(msg2);
	}

	void draw(sf::RenderWindow &window)
	{
		window.draw(this->_box);
		window.draw(this->_text1);
		window.draw(this->_text2);
	}
private:
sf::Text _text1;
sf::Text _text2;
std::string _msg1;
std::string _msg2;
sf::RectangleShape _box;
};
